> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Cabin Overheat Protection Temp

> Sets the Cabin Overheat Protection activation temperature.



## OpenAPI

````yaml post /{vin}/command/set_cop_temp
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/command/set_cop_temp:
    parameters:
      - name: vin
        description: The associated VIN.
        schema:
          type: string
        in: path
        required: true
        deprecated: false
        x-last-modified: 1643747623235
        example: 5YJXCAE43LF123456
    post:
      tags:
        - Vehicle Commands
      summary: Set Cabin Overheat Protection Temp
      description: Sets the Cabin Overheat Protection activation temperature.
      operationId: set-cabin-overheat-protection-temp
      parameters:
        - $ref: '#/components/parameters/wait_for_completion'
        - $ref: '#/components/parameters/max_attempts'
        - schema:
            type: integer
          in: query
          name: cop_temp
          description: The activation temperature (1 = low, 2 = medium, 3 = high).
      responses:
        '200':
          $ref: '#/components/responses/commandResponse'
components:
  parameters:
    wait_for_completion:
      name: wait_for_completion
      description: Whether to wait for the command to complete before returning a response.
      schema:
        default: true
        type: boolean
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
    max_attempts:
      name: max_attempts
      description: The maximum number of attempts to make to execute the command.
      schema:
        default: 3
        maximum: 3
        minimum: 1
        type: integer
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
  responses:
    commandResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              result:
                description: Whether the command was successful.
                type: boolean
          examples:
            Example 1:
              value:
                result: true
      description: Success
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````